//#include "stdafx.h"
#include <vcl.h>
#include <cmath>
#include "CalcIntgrt.h"
#include "calcNormal.h"


namespace calcnormal {

//	using namespace System;
	using namespace std;
	using namespace myLib;
	using namespace calcnormal;

	double knormal( double z ){
		return exp(-0.5 * z * z);
	}


	double Cum_Normal( double z ) {
		double p;
		double pi = ArcTan(1.0) * 4.0;
		if (z == 0.0){
			p = 0.5;
		}else if(z > 0.0){
			AdaptiveGL agl;
			p = 0.5 + agl.integral( 0.0, z, knormal ) / sqrt(2.0 * pi);
		} else {
			AdaptiveGL agl;
			p = 0.5 - agl.integral( z, 0.0, knormal ) / sqrt(2.0 * pi);
		}

		return p;
	}
}
